Bug 1097940

Summary: New password field should have show/hide toggle
Product: [Retired] Zanata Reporter: Alex Eng <aeng>
Component: SecurityAssignee: Alex Eng <aeng>
Status: CLOSED CURRENTRELEASE QA Contact: Ding-Yi Chen <dchen>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 3.3CC: dchen, zanata-bugs
Target Milestone: ---   
Target Release: 3.4   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: git-server-3.3.2-341-g8801c79 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-17 06:39:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Alex Eng 2014-05-14 22:28:23 UTC
Description of problem:
Password changing:
New password should be entered twice as safety precaution

Version-Release number of selected component (if applicable):
3.4-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1. Login to Zanata -> Click top right menu -> Dashboard
2. Click "Account" tab
3. Go "Set password" section

Actual results:
User only needs to enter once for new password 


Expected results:
User needs to enter twice for new password as safety measurement. 

Additional info:

Comment 1 Ding-Yi Chen 2014-05-14 23:55:19 UTC
According to Luke, the new design is to add "Show/Hide" toggle in new password field.

However, whenever we load the page, the "Hide" should be ensured.

Comment 2 Alex Eng 2014-05-15 03:28:44 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/445

Comment 3 Ding-Yi Chen 2014-05-15 04:01:32 UTC
VERIFIED with Zanata 3.4.0-SNAPSHOT (git-server-3.3.2-341-g8801c79)